sfizz_jack(1)

NAME
sfizz_jack - Launch a sfizz instance as a JACK client

SYNOPSIS
sfizz_jack [FILE] [OPTIONS...]

DESCRIPTION
sfizz_jack wraps the sfizz SFZ library in a JACK client that can be controlled by a text interface.

OPTIONS

FILE
    An optional SFZ file name to load at firsts

--client_name
    Name for the JACK client

--num_voices NUMBER
    Change the maximum polyphony

--preload_size NUMBER
    Bytes to preload in cache for samples

--state
    Output the state in the JACK loop

--jack_autoconnect
    Autoconnect the JACK outputs

TEXT INTERFACE
It is possible it interact with the JACK client through the standard input. The possible commands are

load_instrument FILE
    Load an instrument

set_preload_size NUMBER
    Set the number of bytes to preload in cache for samples

set_voices NUMBER
    Change the maximum polyphony

quit
    Quit

SEE ALSO
sfizz_render(1)

BUGS
See the main repository at https://github.com/sfztools/sfizz.

AUTHOR
Contributors can be seen on the main repository at https://github.com/sfztools/sfizz.